package com.ynfy.buss.course.course.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.course.course.entity.Course;
import com.ynfy.buss.course.usercoursecatalog.entity.vo.UserCourseStudyVO;

import java.util.List;

/**
 * @Description: course
 * @Author: jeecg-boot
 * @Date: 2023-10-24
 * @Version: V1.0
 */
public interface ICourseService extends IService<Course> {

    void saveCourse(Course course);

    IPage<Course> selectCourseList(IPage<Course> page, Course course);

    /**
     * 设置课程分类
     *
     * @param pageList
     */
    void setCategory(IPage<Course> pageList);

    Course queryById(String id);


    /**
     * 设置课程学习进度
     *
     * @param studyList
     * @param course
     */
    void setCourseStudyProcess(List<UserCourseStudyVO> studyList, Course course);
}
